Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.filters
Class EnhancedCropImageFilter

    java.lang.Object
      |
      +--java.awt.image.ImageFilter
            |
            +--java.awt.image.CropImageFilter
                  |
                  +--com.sun.jimi.core.filters.EnhancedCropImageFilter

public class EnhancedCropImageFilter
extends java.awt.image.CropImageFilter

Enhanced cropping filter to detect more quickly when an image is complete based on ImageConsumer hints.

Field Summary
`protected int` | `cH`
`protected int` | `cW`
`protected int` | `cX`
`protected int` | `cY`
`protected boolean` | `finished`
`protected boolean` | `singleFrame`
`protected boolean` | `tdlr`

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Constructor Summary
`EnhancedCropImageFilter(int x, int y, int w, int h)`

Method Summary
`void` | `imageComplete(int status)`
`void` | `setHints(int hints)`
`void` | `setPixels(int x, int y, int w, int h, java.awt.image.ColorModel cm, byte[] pixels, int offset, int scansize)`

Methods inherited from class java.awt.image.CropImageFilter
`setDimensions, setPixels, setProperties`

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, resendTopDownLeftRight, setColorModel`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### finished

    protected boolean finished

### tdlr

    protected boolean tdlr

### singleFrame

    protected boolean singleFrame

### cX

    protected int cX

### cY

    protected int cY

### cW

    protected int cW

### cH

    protected int cH

Constructor Detail

### EnhancedCropImageFilter

    public EnhancedCropImageFilter(int x,
                                   int y,
                                   int w,
                                   int h)

Method Detail

### setHints

    public void setHints(int hints)

  Overrides:
    setHints in class java.awt.image.ImageFilter

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          java.awt.image.ColorModel cm,
                          byte[] pixels,
                          int offset,
                          int scansize)

  Overrides:
    setPixels in class java.awt.image.CropImageFilter

### imageComplete

    public void imageComplete(int status)

  Overrides:
    imageComplete in class java.awt.image.ImageFilter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD